
Redmine - Feature #8253

Update CodeRay to 1.1 final

2011-04-29 23:34 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution:    

Description

Whenever CodeRay 1.1 final is released the included version in Redmine should be updated and scheduled for the then "Next major

release".

Related issues:

Blocks Redmine - Patch #1471: Lua syntax highlighter for CodeRay Closed 2008-06-16

Follows Redmine - Feature #4264: Update CodeRay to 1.0 final Closed

Associated revisions

Revision 12238 - 2013-10-26 10:55 - Jean-Philippe Lang

Upgrade CodeRay to 1.1.0 (#8253).

History

#1 - 2011-04-29 23:44 - Mischa The Evil

- Subject changed from Update CodeRay to 1.0 final to Update CodeRay to 1.1 final

- Target version set to Unplanned backlogs

For now I think the best target version for this issue is Unplanned (also considering the related issues #2623 and #1471).

#2 - 2011-04-30 00:47 - Mischa The Evil

- Due date deleted (2010-04-21)

- Category changed from Text formatting to Third-party libraries

- Start date changed from 2010-04-21 to 2011-04-30

Corrected Start- and Due-dates after copying this issue from #4264, changed issue-relations to reflect the upstream roadmap:

+ blocks Feature #2623: C# syntax highlighting

+ blocks Patch #1471: Lua syntax highlighter for CodeRay

+ follows Feature #4264: Update CodeRay to 1.0 final

and changed to new - more appropriate - category...

#3 - 2011-04-30 01:20 - Mischa The Evil

- Start date deleted (2011-04-30)

#4 - 2011-05-03 20:03 - johann sebatian

- Assignee set to johann sebatian

#5 - 2011-11-25 17:52 - Etienne Massip

- Assignee deleted (johann sebatian)

#6 - 2012-11-15 09:39 - Daniel Felix

Well maybe 1.1 isn't out, and fairly doesn't seem to be released in the next months. ;-)

But anyway, currently we are using 1.0.6, and 1.0.8 is available. Maybe this could be implemented and tested for the next major release?
#7 - 2013-02-06 10:08 - Daniel Felix

- Description updated

Corrected Link for Coderay. The old link doesn't work anymore.

#8 - 2013-10-24 19:56 - Yukinari TOYOTA

It was released few months ago, +1

#9 - 2013-10-25 10:22 - Etienne Massip

- Target version changed from Unplanned backlogs to Candidate for next major release

#10 - 2013-10-26 06:50 - Mischa The Evil

A scanner for C# is not included in 1.1

1

.

The new scanners introduced in 1.1 are:

Go

Lua

Sass

Taskpaper

1

 https://github.com/rubychan/coderay/blob/master/Changes.textile

#11 - 2013-10-26 06:51 - Mischa The Evil

- Blocks deleted (Feature #2623: C# syntax highlighting)

#12 - 2013-10-26 10:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

CodeRay upgraded in r12238.

#13 - 2013-10-26 10:56 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.4.0
